Skip to main content
GET
Fetch a Specific Activity Record

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The vid of the Activity record to retrieve A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JSON A full Activity object.

object
string
required

Value is “Activity”

account
object
required

Required. The customer account id or vid for which you are recording this activity.

timestamp
string<date-time>
required

Required. A time stamp that specifies the date and time of when the event you are recording took place.

vid
string

A Globally Unique Identifier (GUID) for this object. Assigned by CashBox.

Maximum string length: 128
subscription
object

The subscription id or vid for which you are recording this activity.

transaction
object

The transaction id or vid for which you are recording this activity.

invoice
object

The invoice id or vid for which you are recording this activity.

type
enum<string>

Can be Cancellation, Email, Fulfillment, Login, Logout, NamedValue, Note, Phone, URIView, Usage

Available options:
Cancellation,
Email,
Fulfillment,
Login,
Logout,
NamedValue,
Note,
Phone,
URIView,
Usage
login_args
object

The IP address from which a login originated.

logout_args
object

The IP address from which a logout originated.

uriview_args
object

A customer’s visit to a Web page, and possible download activity.

phone_args
object

A phone contact that relates to the Activity object.

email_args
object

An email event.

fulfillment_args
object

The status of your fulfillment of a customer order.

usage_args
object

The amount of use of a resource (such as the number of downloads) you provide to the customer.

namedvalue_args
object

An activity defined by you. With this data structure, you create Activity objects that are unique to your business, and that are not described by the predefined Activity events in Activity Types. Creating such an activity implies that it will likely occur regularly with your customers.

cancellation_args
object

The customer’s cancellation of a service or product.

note_args
object

An optional memo on the Activity object.